8 Replies Latest reply on Aug 23, 2010 8:50 AM by Wang Liyu

    Weld Maven artifact Tomcat bug and replace the EL2.1 with JBoss EL 2.0.0GA

    Wang Liyu Apprentice
      Weld maven artifact: weld-jsf-servlet-minimal has a bug with TC, it refer EL2.1 in the TC, but with TC6.0.x I can't use "#{bean.method(param)}" expression, there is a post I found on the net: http://weblogs.java.net/blog/cayhorstmann/archive/2009/12/29/jsf-20-and-tomcat#comment-14851

      So basiclly, in the POM.xml, it should replace :
      <dependency>
               <groupId>org.glassfish.web</groupId>
               <artifactId>el-impl</artifactId>
               <scope>runtime</scope>
               <exclusions>
                  <exclusion>
                     <groupId>javax.el</groupId>
                     <artifactId>el-api</artifactId>
                  </exclusion>
               </exclusions>
            </dependency>

      with:
           <dependency>
                  <groupId>org.jboss.seam</groupId>
                  <artifactId>jboss-el</artifactId>
                  <version>2.0.0.GA</version>
                  <exclusions>
                      <exclusion>
                          <groupId>javax.el</groupId>
                          <artifactId>el-api</artifactId>
                      </exclusion>
                  </exclusions>
              </dependency>

      and sometime I need to use HttpSession (for example the logout: "httpSession.invalid()"> so need to add servlet-api.jar in the compile phase:
             <dependency>
                  <groupId>javax.servlet</groupId>
                  <artifactId>servlet-api</artifactId>
                  <version>2.5</version>
                  <scope>compile</scope>
              </dependency>